\name{calculatePoissonR2}
\alias{calculatePoissonR2}
\title{Calculates the goodness-of-fit for Poisson regression}
\description{
Calculates the goodness-of-fit for Poisson regression as suggested by 
Mittlbock {\it et al.} 2002. 
}
\usage{
calculatePoissonR2(res.poiss, k=1)
}
\arguments{
\item{res.poiss}{the results from a Poisson regression. Produced by \code{glm}}
\item{k}{}
}
\value{
\code{calculatePoissonR2} returns an estimate of the goodness-of-fit, which
is a number between 0 and 1.
}
\seealso{
\code{\link{glm}}
}
\references{Mittlbock, M. (2002). Calculating adjusted $R^2$ measures for
Poisson regression models. Computer Methods and Programs in Biomedicine.
{\bf 63} (3) pp 205-214.} 
\keyword{univar}
