\name{testGeneFamilies}
\alias{testGeneFamilies}
\title{Tests for significant gene families}
\description{
Main test function
}
\usage{
testGeneFamilies(data, method="Binomial", samples=c(1,2), 
                 multtest="BH", ord=TRUE, 
		 design.matrix=NULL, coef=1, 
		 covariates=NULL, log.covariates=FALSE, groups=NULL,
		 overdisp=FALSE)
}
\arguments{
\item{data}{A ShotgunFunctionalizeR data object (e.g. from
\code{\link{readGeneFamilies}})}
\item{method}{What statistical methods should be applied to the data?}
\item{samples}{Which samples should be compared? Only applicable for
procedures comparing a pair of metagenomes (currently the binomial,
hypergeometric and Gaussian procedure)}
\item{multtest}{What procedure should be used for correction for multiple
testing. See \code{\link{mt.rawp2adjp}} in the \code{multtest} package for
more information}
\item{ord}{Should the resulting ranking list be sorted?}
\item{design.matrix}{The design matrix. Only applicable when the general
Poisson model is used}
\item{coef}{Which coefficient from the design matrix should be tested? Only
applicable when the general Poisson model is used}
\item{covariates}{Covariates for poisson regression. Only applicable for
regression analysis using the Poisson model}
\item{log.covariates}{Should the covariates be logged? Only applicable for
regression analysis using the Poisson model}
\item{groups}{group labels for direct comparison. Only applicable for
regression analysis using the Poisson model}
\item{overdisp}{Should the quasi-Poisson family with overdisperson be used
for fitting the GLM? Only applicable when the Poisson model is used}
}
\seealso{
\code{\link{readGeneFamilies}},
\code{\link{testGeneFamilies.binomial}},
\code{\link{testGeneFamilies.hypergeometric}},
\code{\link{testGeneFamilies.gaussian}},
\code{\link{testGeneFamilies.poisson}},
\code{\link{glm}},
\code{\link{family}}
}
\keyword{htest}
